Eclipse Platform Release 3.7

## org.eclipse.jface.dialogs
Class PageChangedEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.jface.dialogs.PageChangedEvent

All Implemented Interfaces:
  Serializable

    public class PageChangedEvent

extends EventObject

Event object describing a page selection change. The source of these events is a page change provider.

Since:
  3.1
See Also:
  `IPageChangeProvider`, `IPageChangedListener`, Serialized Form

Field Summary
`protected Object` `selectedPage` The selected page.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PageChangedEvent(IPageChangeProvider source, Object selectedPage)` Creates a new event for the given source and selected page.

Method Summary
`IPageChangeProvider` `getPageChangeProvider()` Returns the page change provider that is the source of this event.
`Object` `getSelectedPage()` Returns the selected page.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### selectedPage

    protected Object selectedPage

  The selected page.

Constructor Detail

### PageChangedEvent

    public PageChangedEvent(IPageChangeProvider source,
                            Object selectedPage)

  Creates a new event for the given source and selected page.

  Parameters:
    `source` - the page change provider
    `selectedPage` - the selected page. In the JFace provided dialogs this will be an `IDialogPage`.

Method Detail

### getSelectedPage

    public Object getSelectedPage()

  Returns the selected page.

  Returns:
    the selected page. In dialogs implemented by JFace, this will be an `IDialogPage`.

### getPageChangeProvider

    public IPageChangeProvider getPageChangeProvider()

  Returns the page change provider that is the source of this event.

  Returns:
    the originating page change provider

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.